package com.example.chemical.ui.add.locker;

import android.widget.RadioButton;
import android.widget.TextView;

public class DrawerUiBean {
    private RadioButton radioButton;
    private TextView textView;
    private boolean isVisible;
    private String drawer;// 层数

    public DrawerUiBean(RadioButton radioButton, TextView textView, boolean isVisible) {
        this.radioButton = radioButton;
        this.textView = textView;
        this.isVisible = isVisible;
    }

    public RadioButton getRadioButton() {
        return radioButton;
    }

    public void setRadioButton(RadioButton radioButton) {
        this.radioButton = radioButton;
    }

    public TextView getTextView() {
        return textView;
    }

    public void setTextView(TextView textView) {
        this.textView = textView;
    }

    public boolean isVisible() {
        return isVisible;
    }

    public void setVisible(boolean visible) {
        isVisible = visible;
    }

    public String getDrawer() {
        return drawer;
    }

    public void setDrawer(String drawer) {
        this.drawer = drawer;
    }

    @Override
    public String toString() {
        return "DrawerUiBean{" +
                "drawer='" + drawer + '\'' +
                ", isVisible=" + isVisible +
                '}';
    }
}
